pphsm {rms} | R Documentation

## Parametric Proportional Hazards form of AFT Models

### Description

Translates an accelerated failure time (AFT) model fitted by `psm` to proportional hazards form, if the fitted model was a Weibull or exponential model (extreme value distribution with "log" link).

### Usage

    pphsm(fit)
    ## S3 method for class 'pphsm'
    print(x, digits=max(options()$digits - 4, 3),
    correlation=TRUE, ...)
    ## S3 method for class 'pphsm'
    vcov(object, ...)

### Arguments

`fit` | fit object created by `psm`
`x` | result of `psm`
`digits` | how many significant digits are to be used for the returned value
`correlation` | set to `FALSE` to suppress printing of correlation matrix of parameter estimates
`...` | ignored
`object` | a pphsm object

### Value

a new fit object with transformed parameter estimates

### Author(s)

Frank Harrell
Department of Biostatistics
Vanderbilt University
f.harrell@vanderbilt.edu

### See Also

`psm`, `summary.rms`, `print.pphsm`

### Examples

    set.seed(1)
    S <- Surv(runif(100))
    x <- runif(100)
    dd <- datadist(x); options(datadist='dd')
    f <- psm(S ~ x, dist="exponential")
    summary(f)        # effects on log(T) scale
    f.ph <- pphsm(f)
    ## Not run: summary(f.ph)     # effects on hazard ratio scale
    options(datadist=NULL)

[Package rms version 5.1-1 Index]